"""
Contains constants that map court names to their respective levels and jurisdictions.
"""

COURT_LEVEL_MAPPING = {
    "scc": ("Supreme Court of Canada", "federal"),
    "scc-l": ("Supreme Court of Canada - Applications for Leave", "federal"),
    "ukjcpc": ("Judicial Committee of the Privy Council - Canadian cases", "federal"),
    "fca": ("Federal Court of Appeal", "federal"),
    "fc": ("Federal Court", "federal"),
    "tcc": ("Tax Court of Canada", "federal"),
    "exch": ("Exchequer Court of Canada", "federal"),
    "cmac": ("Court Martial Appeal Court of Canada", "federal"),
    "cm": ("Courts Martial", "federal"),
    "forep": ("Foreign reported decisions", "federal"),
    "cart": ("Canada Agricultural Review Tribunal", "federal"),
    "cer": ("Canada Energy Regulator", "federal"),
    "cirb": ("Canada Industrial Relations Board", "federal"),
    "cbsc": ("Canadian Broadcast Standards Council", "federal"),
    "chrt": ("Canadian Human Rights Tribunal", "federal"),
    "citt": ("Canadian International Trade Tribunal", "federal"),
    "ciro": ("Canadian Investment Regulatory Organization", "federal"),
    "cicc": ("College of Immigration and Citizenship Consultants", "federal"),
    "cacp": ("Commissioner of Patents", "federal"),
    "cact": ("Competition Tribunal", "federal"),
    "cb": ("Copyright Board of Canada", "federal"),
    "eptc": ("Environmental Protection Tribunal of Canada", "federal"),
    "caci": ("Federal Commission of Inquiry", "federal"),
    "pslreb": (
        "Federal Public Sector Labour Relations and Employment Board",
        "federal",
    ),
    "irb": ("Immigration and Refugee Board of Canada", "federal"),
    "oic": ("Information Commissioner of Canada", "federal"),
    "iiroc": ("Investment Industry Regulatory Organization of Canada", "federal"),
    "cala": ("Labour Arbitration Awards", "federal"),
    "camfda": ("Mutual Fund Dealers Association of Canada", "federal"),
    "ohstc": ("Occupational Health and Safety Tribunal Canada", "federal"),
    "pec": ("Pay Equity Commissioner", "federal"),
    "pcc": ("Privacy Commissioner of Canada", "federal"),
    "psdpt": ("Public Servants Disclosure Protection Tribunal", "federal"),
    "pssrb": ("Public Service Labour Relations Board", "federal"),
    "psst": ("Public Service Staffing Tribunal", "federal"),
    "sopf": ("Ship-source Oil Pollution Fund", "federal"),
    "sst": ("Social Security Tribunal of Canada", "federal"),
    "sct": ("Specific Claims Tribunal Canada", "federal"),
    "tmob": ("Trademarks Opposition Board", "federal"),
    "tatc": ("Transportation Appeal Tribunal of Canada", "federal"),
    "vrab": ("Veterans Review and Appeal Board of Canada", "federal"),
    "bcca": ("Court of Appeal for British Columbia", "british columbia"),
    "bcsc": ("Supreme Court of British Columbia", "british columbia"),
    "bcpc": ("Provincial Court of British Columbia", "british columbia"),
    "bccnm": ("British Columbia College of Nurses and Midwives", "british columbia"),
    "bcctc": ("British Columbia Container Trucking Commissioner", "british columbia"),
    "bcest": ("British Columbia Employment Standards Tribunal", "british columbia"),
    "bceab": ("British Columbia Environmental Appeal Board", "british columbia"),
    "bchab": ("British Columbia Hospital Appeal Board", "british columbia"),
    "bchrt": ("British Columbia Human Rights Tribunal", "british columbia"),
    "bclcrb": (
        "British Columbia Liquor and Cannabis Regulation Branch",
        "british columbia",
    ),
    "bcsec": ("British Columbia Securities Commission", "british columbia"),
    "bcwcat": (
        "British Columbia Workers' Compensation Appeal Tribunal",
        "british columbia",
    ),
    "bccrt": ("Civil Resolution Tribunal of British Columbia", "british columbia"),
    "bccds": ("College of Dental Surgeons of British Columbia", "british columbia"),
    "bccps": (
        "College of Physicians and Surgeons of British Columbia",
        "british columbia",
    ),
    "bcccalab": ("Community Care and Assisted Living Appeal Board", "british columbia"),
    "bcerat": ("Energy Resource Appeal Tribunal", "british columbia"),
    "bcfst": ("Financial Services Tribunal", "british columbia"),
    "bcfac": ("Forest Appeals Commission", "british columbia"),
    "bchprb": (
        "Health Professions Review Board of British Columbia",
        "british columbia",
    ),
    "bcipc": ("Information and Privacy Commissioner", "british columbia"),
    "bcla": ("Labour Arbitration Awards", "british columbia"),
    "bclrb": ("Labour Relations Board", "british columbia"),
    "lsbc": ("Law Society of British Columbia", "british columbia"),
    "bcorl": ("Office of the Registrar of Lobbyists", "british columbia"),
    "bcrec": ("Real Estate Council of British Columbia", "british columbia"),
    "bcrmb": ("Registrar of Mortgage Brokers", "british columbia"),
    "bcstab": ("Skilled Trades BC Appeal Board", "british columbia"),
    "bcsfi": ("Superintendent of Financial Institutions", "british columbia"),
    "bcsp": ("Superintendent of Pensions", "british columbia"),
    "bcsre": ("Superintendent of Real Estate", "british columbia"),
    "abca": ("Court of Appeal of Alberta", "alberta"),
    "abkb": ("Court of King's Bench of Alberta", "alberta"),
    "abqb": ("Court of Queen's Bench of Alberta", "alberta"),
    "abcj": ("Alberta Court of Justice", "alberta"),
    "abpc": ("Provincial Court of Alberta", "alberta"),
    "abci": ("Alberta Commission of Inquiry", "alberta"),
    "abesa": ("Alberta Employment Standards Appeals", "alberta"),
    "abeab": ("Alberta Environmental Appeal Board", "alberta"),
    "abgaa": ("Alberta Grievance Arbitration Awards", "alberta"),
    "ahrc": ("Alberta Human Rights Commission", "alberta"),
    "ablrb": ("Alberta Labour Relations Board", "alberta"),
    "ablprt": ("Alberta Land and Property Rights Tribunal", "alberta"),
    "ablcb": ("Alberta Land Compensation Board", "alberta"),
    "ablerb": ("Alberta Law Enforcement Review Board", "alberta"),
    "ablcsab": ("Alberta Licence and Community Standards Appeal Board", "alberta"),
    "abmgb": ("Alberta Municipal Government Board", "alberta"),
    "abplab": ("Alberta Public Lands Appeal Board", "alberta"),
    "abrtdrs": ("Alberta Residential Tenancy Dispute Resolution Service", "alberta"),
    "absec": ("Alberta Securities Commission", "alberta"),
    "absrb": ("Alberta Surface Rights Board", "alberta"),
    "abtsb": ("Alberta Transportation Safety Board", "alberta"),
    "abwcac": ("Appeals Commission for Alberta Workers' Compensation", "alberta"),
    "abcgyarb": ("Calgary Assessment Review Board", "alberta"),
    "cgysdab": ("Calgary Subdivision & Development Appeal Board", "alberta"),
    "abcpa": ("Chartered Professional Accountants of Alberta", "alberta"),
    "abcpsdc": ("College of Physicians and Surgeons Discipline Committee", "alberta"),
    "abecarb": ("Edmonton Composite Assessment Review Board", "alberta"),
    "abelarb": ("Edmonton Local Assessment Review Board", "alberta"),
    "abesdab": ("Edmonton Subdivision and Development Appeal Board", "alberta"),
    "abhraat": ("Horse Racing Alberta Appeal Tribunal", "alberta"),
    "abls": ("Law Society of Alberta", "alberta"),
    "aboipc": ("Office of the Information and Privacy Commissioner", "alberta"),
    "abpaca": ("Physiotherapy Alberta College Association", "alberta"),
    "abreca": ("Real Estate Council of Alberta", "alberta"),
    "absra": ("SafeRoads Alberta", "alberta"),
    "skca": ("Court of Appeal for Saskatchewan", "saskatchewan"),
    "skkb": ("Court of King's Bench for Saskatchewan", "saskatchewan"),
    "skqb": ("Court of Queen's Bench for Saskatchewan", "saskatchewan"),
    "skpc": ("Provincial Court of Saskatchewan", "saskatchewan"),
    "skdc": ("Saskatchewan District Court", "saskatchewan"),
    "sksu": ("Saskatchewan Surrogate Court", "saskatchewan"),
    "skufc": ("Saskatchewan Unified Family Court", "saskatchewan"),
    "skatmpa": ("Appeal Tribunal under the Medical Profession Act", "saskatchewan"),
    "skaia": ("Automobile Injury Appeal Commission", "saskatchewan"),
    "sksec": (
        "Financial and Consumer Affairs Authority of Saskatchewan",
        "saskatchewan",
    ),
    "skipc": ("Information and Privacy Commissioner", "saskatchewan"),
    "skla": ("Labour Arbitration Awards", "saskatchewan"),
    "sklss": ("Law Society of Saskatchewan", "saskatchewan"),
    "skac": ("Saskatchewan Assessment Commission", "saskatchewan"),
    "skfca": (
        "Saskatchewan Board of Review under the Farmers' Creditors Arrangement Act, 1934",
        "saskatchewan",
    ),
    "skcppdc": ("Saskatchewan College of Pharmacy Professionals", "saskatchewan"),
    "skhrc": ("Saskatchewan Human Rights Commission", "saskatchewan"),
    "skhrt": ("Saskatchewan Human Rights Tribunal", "saskatchewan"),
    "sklrb": ("Saskatchewan Labour Relations Board", "saskatchewan"),
    "sklgb": ("Saskatchewan Local Government Board", "saskatchewan"),
    "skmt": ("Saskatchewan Master of Titles", "saskatchewan"),
    "skmb": ("Saskatchewan Municipal Board", "saskatchewan"),
    "skmbr": ("Saskatchewan Municipal Boards of Revision", "saskatchewan"),
    "skort": ("Saskatchewan Office of Residential Tenancies", "saskatchewan"),
    "skpmb": ("Saskatchewan Provincial Mediation Board", "saskatchewan"),
    "skrec": ("Saskatchewan Real Estate Commission", "saskatchewan"),
    "mbca": ("Court of Appeal of Manitoba", "manitoba"),
    "mbkb": ("Court of King's Bench of Manitoba", "manitoba"),
    "mbqb": ("Court of Queen's Bench of Manitoba", "manitoba"),
    "mbpc": ("Provincial Court of Manitoba", "manitoba"),
    "mbcpsdc": (
        "College of Physicians & Surgeons of Manitoba Discipline Committee",
        "manitoba",
    ),
    "mbla": ("Labour Arbitration Awards", "manitoba"),
    "mbls": ("Law Society of Manitoba", "manitoba"),
    "mbhab": ("Manitoba Health Appeal Board", "manitoba"),
    "mbhrc": ("Manitoba Human Rights Commission", "manitoba"),
    "mblb": ("Manitoba Labour Board", "manitoba"),
    "mbsec": ("Manitoba Securities Commission", "manitoba"),
    "onca": ("Court of Appeal for Ontario", "ontario"),
    "onsc": ("Superior Court of Justice", "ontario"),
    "onscdc": ("Divisional Court", "ontario"),
    "onscsm": ("Small Claims Court", "ontario"),
    "oncj": ("Ontario Court of Justice", "ontario"),
    "onafraat": ("Agriculture, Food & Rural Affairs Appeal Tribunal", "ontario"),
    "onagc": ("Alcohol and Gaming Commission of Ontario", "ontario"),
    "onarb": ("Assessment Review Board", "ontario"),
    "onape": ("Association of Professional Engineers of Ontario", "ontario"),
    "onbcc": ("Building Code Commission", "ontario"),
    "oncmt": ("Capital Markets Tribunal", "ontario"),
    "oncpa": ("Chartered Professional Accountants of Ontario", "ontario"),
    "oncfsrb": ("Child and Family Services Review Board", "ontario"),
    "oncaspd": (
        "College of Audiologists and Speech-Language Pathologists of Ontario",
        "ontario",
    ),
    "oncocoo": ("College of Chiropodists of Ontario", "ontario"),
    "oncdho": ("College of Dental Hygienists of Ontario", "ontario"),
    "oncmto": ("College of Massage Therapists of Ontario", "ontario"),
    "oncno": ("College of Nurses of Ontario Discipline Committee", "ontario"),
    "oncot": ("College of Occupational Therapists of Ontario", "ontario"),
    "onco": ("College of Optometrists of Ontario", "ontario"),
    "oncpo": ("College of Physiotherapists of Ontario", "ontario"),
    "oncpd": ("College of Psychologists of Ontario", "ontario"),
    "oncrpo": (
        "College of Registered Psychotherapists and Registered Mental Health Therapists of Ontario",
        "ontario",
    ),
    "onctcmpao": (
        "College of Traditional Chinese Medicine Practitioners and Acupuncturists of Ontario",
        "ontario",
    ),
    "oncat": ("Condominium Authority Tribunal", "ontario"),
    "onccb": ("Consent and Capacity Board", "ontario"),
    "onconrb": ("Conservation Review Board", "ontario"),
    "oncicb": ("Criminal Injuries Compensation Board", "ontario"),
    "onert": ("Environmental Review Tribunal", "ontario"),
    "onfst": ("Financial Services Tribunal", "ontario"),
    "ongsb": ("Grievance Settlement Board", "ontario"),
    "onhparb": ("Health Professions Appeal and Review Board", "ontario"),
    "onhsarb": ("Health Services Appeal and Review Board", "ontario"),
    "onhrap": ("Horse Racing Appeal Panel", "ontario"),
    "onhrt": ("Human Rights Tribunal of Ontario", "ontario"),
    "onipc": ("Information and Privacy Commissioner Ontario", "ontario"),
    "onla": ("Labour Arbitration Awards", "ontario"),
    "onltb": ("Landlord and Tenant Board", "ontario"),
    "onlst": ("Law Society Tribunal", "ontario"),
    "onlpat": ("Local Planning Appeal Tribunal", "ontario"),
    "onmlt": ("Mining and Lands Tribunal", "ontario"),
    "onmic": ("Municipal Integrity Commissioners of Ontario", "ontario"),
    "onnfppb": ("Normal Farm Practices Protection Board", "ontario"),
    "onombud": ("Office of the Ombudsman of Ontario", "ontario"),
    "onacrb": ("Ontario Animal Care Review Board", "ontario"),
    "oncpc": ("Ontario Civilian Police Commission", "ontario"),
    "oncece": ("Ontario College of Early Childhood Educators", "ontario"),
    "oncpdc": ("Ontario College of Pharmacists Discipline Committee", "ontario"),
    "oncswssw": (
        "Ontario College of Social Workers and Social Service Workers",
        "ontario",
    ),
    "onoct": ("Ontario College of Teachers", "ontario"),
    "ondr": ("Ontario Court of the Drainage Referee", "ontario"),
    "oncrb": ("Ontario Custody Review Board", "ontario"),
    "onfscdrs": (
        "Ontario Financial Services Commission - Dispute Resolution Services",
        "ontario",
    ),
    "onfsc": ("Ontario Fire Safety Commission", "ontario"),
    "onlrb": ("Ontario Labour Relations Board", "ontario"),
    "onlt": ("Ontario Land Tribunal", "ontario"),
    "onlat": ("Ontario Licence Appeal Tribunal", "ontario"),
    "onpeht": ("Ontario Pay Equity Hearings Tribunal", "ontario"),
    "onpprb": ("Ontario Physician Payment Review Board", "ontario"),
    "onpsdt": ("Ontario Physicians and Surgeons Discipline Tribunal", "ontario"),
    "onpsgb": ("Ontario Public Service Grievance Board", "ontario"),
    "onrc": ("Ontario Racing Commission", "ontario"),
    "onsec": ("Ontario Securities Commission", "ontario"),
    "onsbt": ("Ontario Social Benefits Tribunal", "ontario"),
    "onset": ("Ontario Special Education  (English) Tribunal", "ontario"),
    "onwsiat": ("Ontario Workplace Safety and Insurance Appeals Tribunal", "ontario"),
    "onwsib": ("Ontario Workplace Safety and Insurance Board", "ontario"),
    "onrcdso": ("Royal College of Dental Surgeons of Ontario", "ontario"),
    "onst": ("Skilled Trades Ontario", "ontario"),
    "ontlab": ("Toronto Local Appeal Body", "ontario"),
    "qcca": ("Court of Appeal of Quebec", "québec"),
    "qccs": ("Superior Court", "québec"),
    "qccq": ("Court of Quebec", "québec"),
    "qctdp": ("Human Rights Tribunal", "québec"),
    "qctp": ("Professions Tribunal", "québec"),
    "qccm": ("Municipal Courts", "québec"),
    "qctaq": ("Administrative Tribunal of Québec", "québec"),
    "qcoagbrn": (
        "Arbitration - The Guarantee Plan For New Residential Buildings",
        "québec",
    ),
    "qccdbq": ("Barreau du Québec  Disciplinary Council", "québec"),
    "qccdcm": ("Collège des médecins du Québec Disciplinary Council", "québec"),
    "qccdp": ("Comité de déontologie policière", "québec"),
    "qcoaciq": (
        "Comité de discipline de l'organisme d'autoréglementation du courtage immobilier du Québec",
        "québec",
    ),
    "qccdchad": (
        "Comité de discipline de la Chambre de l'assurance de dommages",
        "québec",
    ),
    "qccdcsf": (
        "Comité de discipline de la Chambre de la sécurité financière",
        "québec",
    ),
    "qccai": ("Commission d'accès à l'information", "québec"),
    "qccalp": (
        "Commission d'appel en matière de lésions professionnelles du Québec",
        "québec",
    ),
    "qcces": ("Commission de l'équité salariale", "québec"),
    "qccfp": ("Commission de la fonction publique", "québec"),
    "qccsst": ("Commission de la santé et de la sécurité du travail", "québec"),
    "qccptaq": ("Commission de protection du territoire agricole du Québec", "québec"),
    "qccraaap": (
        "Commission de reconnaissance des associations d'artistes et des associations de producteurs",
        "québec",
    ),
    "qcclp": ("Commission des lésions professionnelles du Québec", "québec"),
    "qccnesst": (
        "Commission des normes, de l’équité, de la santé et de la sécurité du travail",
        "québec",
    ),
    "qccrt": ("Commission des relations du travail", "québec"),
    "qccsj": ("Commission des services juridiques", "québec"),
    "qcctq": ("Commission des transports du Québec", "québec"),
    "qccvm": ("Commission des valeurs mobilières du Québec", "québec"),
    "qccmnq": ("Commission municipale du Québec", "québec"),
    "qcoaq": ("Conseil de discipline de l'Ordre des acupuncteurs du Québec", "québec"),
    "qcadmaq": (
        "Conseil de discipline de l'Ordre des administrateurs agréés du Québec",
        "québec",
    ),
    "qcagq": ("Conseil de discipline de l'Ordre des agronomes du Québec", "québec"),
    "qcoarq": ("Conseil de discipline de l'Ordre des architectes du Québec", "québec"),
    "qcoagq": (
        "Conseil de discipline de l'Ordre des arpenteurs-géomètres du Québec",
        "québec",
    ),
    "qcoapq": (
        "Conseil de discipline de l'Ordre des audioprothésistes du Québec",
        "québec",
    ),
    "qcocq": (
        "Conseil de discipline de l'Ordre des chiropraticiens du Québec",
        "québec",
    ),
    "qccpa": (
        "Conseil de discipline de l'Ordre des comptables professionnels agréés du Québec",
        "québec",
    ),
    "qccdcrim": (
        "Conseil de discipline de l'Ordre des criminologues du Québec",
        "québec",
    ),
    "qcodq": ("Conseil de discipline de l'Ordre des dentistes du Québec", "québec"),
    "qcoeq": (
        "Conseil de discipline de l'Ordre des ergothérapeutes du Québec",
        "québec",
    ),
    "qccdoiia": (
        "Conseil de discipline de l'Ordre des infirmières et infirmiers auxiliaires du Québec",
        "québec",
    ),
    "qccdoii": (
        "Conseil de discipline de l'Ordre des infirmières et infirmiers du Québec",
        "québec",
    ),
    "qccdoiq": ("Conseil de discipline de l'Ordre des ingénieurs du Québec", "québec"),
    "qccdomv": (
        "Conseil de discipline de l'Ordre des médecins vétérinaires du Québec",
        "québec",
    ),
    "qccdoooq": (
        "Conseil de discipline de l'Ordre des opticiens d'ordonnances du Québec",
        "québec",
    ),
    "qcooq": ("Conseil de discipline de l'Ordre des optométristes du Québec", "québec"),
    "qccdopq": ("Conseil de discipline de l'Ordre des pharmaciens du Québec", "québec"),
    "qcopodq": ("Conseil de discipline de l'Ordre des podiatres du Québec", "québec"),
    "qcopq": ("Conseil de discipline de l'Ordre des psychologues du Québec", "québec"),
    "qccdsf": (
        "Conseil de discipline de l'Ordre des sages-femmes du Québec",
        "québec",
    ),
    "qccdosfq": (
        "Conseil de discipline de l'Ordre des sages-femmes du Québec",
        "québec",
    ),
    "qcopsq": ("Conseil de discipline de l'Ordre des sexologues du Québec", "québec"),
    "qccdottdq": (
        "Conseil de discipline de l'Ordre des techniciens et techniciennes dentaires du Québec",
        "québec",
    ),
    "qcotimro": (
        "Conseil de discipline de l'Ordre des technologues en imagerie médicale et en radio-oncologie du Québec",
        "québec",
    ),
    "qcotpq": (
        "Conseil de discipline de l'Ordre des technologues professionnels du Québec",
        "québec",
    ),
    "qcouq": ("Conseil de discipline de l'Ordre des urbanistes du Québec", "québec"),
    "qcoppq": (
        "Conseil de discipline de l'Ordre professionnel de la physiothérapie du Québec",
        "québec",
    ),
    "qcochq": (
        "Conseil de discipline de l'Ordre professionnel des chimistes du Québec",
        "québec",
    ),
    "qccdrhri": (
        "Conseil\n de discipline de l'Ordre professionnel des conseillers en ressources \nhumaines et en relations industrielles agrées du Québec",
        "québec",
    ),
    "qcodlq": (
        "Conseil de discipline de l'Ordre professionnel des denturologistes du Québec",
        "québec",
    ),
    "qcoeaq": (
        "Conseil de discipline de l'Ordre professionnel des évaluateurs agréés du Québec",
        "québec",
    ),
    "qcoifq": (
        "Conseil de discipline de l'Ordre professionnel des ingénieurs forestiers du Québec",
        "québec",
    ),
    "qcooaq": (
        "Conseil de discipline de l'Ordre professionnel des orthophonistes et audiologistes du Québec",
        "québec",
    ),
    "qcotmq": (
        "Conseil de discipline de l'Ordre professionnel des technologistes médicaux du Québec",
        "québec",
    ),
    "qcottiaq": (
        "Conseil de discipline de l'Ordre professionnel des traducteurs, terminologues et interprètes agréés du Québec",
        "québec",
    ),
    "qcotstcfq": (
        "Conseil de discipline de l'Ordre professionnel des travailleurs sociaux et des thérapeutes conjugaux et familiaux du Québec",
        "québec",
    ),
    "qccdhj": (
        "Conseil de discipline de la Chambre des huissiers de justice du Québec",
        "québec",
    ),
    "qccdnq": ("Conseil de discipline de la Chambre des notaires du Québec", "québec"),
    "qccdccoq": (
        "Conseil de discipline des Conseillers et conseillères d'orientation du Québec",
        "québec",
    ),
    "qccdppq": (
        "Conseil de discipline des psychoéducateurs et psychoéducatrices du Québec",
        "québec",
    ),
    "qccja": ("Conseil de la justice administrative", "québec"),
    "qccmq": ("Conseil de la magistrature", "québec"),
    "qccse": ("Conseil des services essentiels", "québec"),
    "qccmeq": ("Corporation des maîtres électriciens du Québec", "québec"),
    "qccmpmq": ("Corporation of Master Pipe-Mechanics of Québec", "québec"),
    "qctadp": ("Tribunal administratif de déontologie policière", "québec"),
    "qcla": ("Labour Arbitration Awards (including Conférence des arbitres)", "québec"),
    "qcct": ("Labour Commissioner", "québec"),
    "qctt": ("Labour Court", "québec"),
    "qcolf": ("Office de la langue française", "québec"),
    "qcohdq": ("Ordre des hygiénistes dentaires du Québec", "québec"),
    "qcopdq": ("Ordre professionnel des diététistes du Québec", "québec"),
    "qcopgq": ("Ordre professionnel des géologues du Québec", "québec"),
    "qcopiq": ("Ordre professionnel des inhalothérapeutes du Québec", "québec"),
    "qcamf": ("Quebec Autorité des marchés financiers", "québec"),
    "qcrde": ("Régie de l'énergie", "québec"),
    "qcracj": ("Régie des alcools des courses et des jeux", "québec"),
    "qcrmaaq": ("Régie des marchés agricoles et alimentaires du Québec", "québec"),
    "qcrbq": ("Régie du Bâtiment - licences d'entrepreneur de construction", "québec"),
    "qctmf": ("Tribunal administratif des marchés financiers", "québec"),
    "qctal": ("Tribunal administratif du logement", "québec"),
    "qctat": ("Tribunal administratif du travail", "québec"),
    "qctaa": (
        "Tribunal d'arbitrage (performing, recording and film artists)",
        "québec",
    ),
    "qcta": ("Tribunal d'arbitrage (RQ and CARRA)", "québec"),
    "nbca": ("Court of Appeal of New Brunswick", "new brunswick"),
    "nbkb": ("Court of King's Bench of New Brunswick", "new brunswick"),
    "nkqb": ("Court of Queen's Bench of New Brunswick", "new brunswick"),
    "nbpc": ("Provincial Court", "new brunswick"),
    "nbbihra": ("Board of Inquiry Under the Human Rights Act", "new brunswick"),
    "nbfcsc": ("Financial and Consumer Services Commission", "new brunswick"),
    "nbfcst": ("Financial and Consumer Services Tribunal", "new brunswick"),
    "nbla": ("Labour Arbitration Awards", "new brunswick"),
    "nblsb": ("Law Society of New Brunswick", "new brunswick"),
    "nbapab": ("New Brunswick Assessment and Planning Appeal Board", "new brunswick"),
    "nbcph": ("New Brunswick College of Pharmacists", "new brunswick"),
    "nbleb": ("New Brunswick Labour and Employment Board", "new brunswick"),
    "nbrea": ("New Brunswick Real Estate Association", "new brunswick"),
    "nbombud": ("Ombud New Brunswick", "new brunswick"),
    "nbwcat": ("Workers’ Compensation Appeals Tribunal", "new brunswick"),
    "nsca": ("Nova Scotia Court of Appeal", "nova scotia"),
    "nssc": ("Supreme Court of Nova Scotia", "nova scotia"),
    "nssf": ("Supreme Court of Nova Scotia (Family Division)", "nova scotia"),
    "nspc": ("Provincial Court of Nova Scotia", "nova scotia"),
    "nssm": ("Small Claims Court", "nova scotia"),
    "nspr": ("Nova Scotia Probate Court", "nova scotia"),
    "nsfc": ("Nova Scotia Family Court", "nova scotia"),
    "nscps": ("College of Physicians and Surgeons of Nova Scotia", "nova scotia"),
    "nsla": ("Labour Arbitration Awards", "nova scotia"),
    "nsawab": ("Nova Scotia Animal Welfare Appeal Board", "nova scotia"),
    "nsbs": ("Nova Scotia Barristers' Society Hearing Panel", "nova scotia"),
    "nshrc": ("Nova Scotia Human Rights Commission", "nova scotia"),
    "nslb": ("Nova Scotia Labour Board", "nova scotia"),
    "nslrb": ("Nova Scotia Labour Relations Board", "nova scotia"),
    "nslst": ("Nova Scotia Labour Standards Tribunal", "nova scotia"),
    "nsohsap": (
        "Nova Scotia Occupational Health and Safety Appeal Panel",
        "nova scotia",
    ),
    "nsprb": ("Nova Scotia Police Review Board", "nova scotia"),
    "nssec": ("Nova Scotia Securities Commission", "nova scotia"),
    "nssirt": ("Nova Scotia Serious Incident Response Team", "nova scotia"),
    "nsuarb": ("Nova Scotia Utility and Review Board", "nova scotia"),
    "nswcat": ("Nova Scotia Workers' Compensation Appeals Tribunal", "nova scotia"),
    "nsoipc": (
        "Office of the Information and Privacy Commissioner for Nova Scotia",
        "nova scotia",
    ),
    "pescad": ("Prince Edward Island Court of Appeal", "prince edward island"),
    "pesctd": ("Supreme Court of Prince Edward Island", "prince edward island"),
    "pepc": ("Provincial Court of Prince Edward Island", "prince edward island"),
    "peipc": ("Information and Privacy Commissioner", "prince edward island"),
    "pela": ("Labour Arbitration Awards", "prince edward island"),
    "peihrc": ("Prince Edward Island Human Rights Commission", "prince edward island"),
    "pelrb": ("Prince Edward Island Labour Relations Board", "prince edward island"),
    "peirac": (
        "Prince Edward Island Regulatory & Appeals Commission",
        "prince edward island",
    ),
    "nlca": (
        "Court of Appeal of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlsc": ("Supreme Court of Newfoundland and Labrador", "newfoundland and labrador"),
    "nltd": ("Supreme Court of Newfoundland and Labrador Trial Division", "newfoundland and labrador"),
    "nlpc": (
        "Provincial Court of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlcps": (
        "College of Physicians and Surgeons of Newfoundland and Labrador",
        "newfoundland and labrador",
    ),
    "nlipc": ("Information and Privacy Commissioner", "newfoundland and labrador"),
    "nlla": ("Labour Arbitration Awards", "newfoundland and labrador"),
    "nlls": ("Law Society of Newfoundland and Labrador", "newfoundland and labrador"),
    "nlhrc": (
        "Newfoundland and Labrador Human Rights Commission",
        "newfoundland and labrador",
    ),
    "nllrb": (
        "Newfoundland and Labrador Labour Relations Board",
        "newfoundland and labrador",
    ),
    "nlpb": ("Newfoundland and Labrador Pharmacy Board", "newfoundland and labrador"),
    "ykca": ("Court of Appeal of Yukon", "yukon"),
    "yksc": ("Supreme Court  of Yukon", "yukon"),
    "yktc": ("Territorial Court of Yukon", "yukon"),
    "yksm": ("Small Claims Court of the Yukon", "yukon"),
    "ytla": ("Labour Arbitration Awards", "yukon"),
    "ykhrc": ("Yukon Human Rights Commission (Board of Adjudication)", "yukon"),
    "ytpslrb": ("Yukon Public Service Labour Relations Board", "yukon"),
    "ytrto": ("Yukon Residential Tenancies Office", "yukon"),
    "yttlrb": ("Yukon Teachers Labour Relations Board", "yukon"),
    "ntca": ("Court of Appeal for the Northwest Territories", "northwest territories"),
    "ntsc": ("Supreme Court of the Northwest Territories", "northwest territories"),
    "nttc": ("Territorial Court of the Northwest Territories", "northwest territories"),
    "ntyjc": ("Youth Justice Court", "northwest territories"),
    "ntlsb": ("Employment Standards Appeals Office", "northwest territories"),
    "nthrap": ("Human Rights Adjudication Panel", "northwest territories"),
    "ntla": ("Labour Arbitration Awards", "northwest territories"),
    "ntls": ("Law Society of the Northwest Territories", "northwest territories"),
    "ntwcat": (
        "Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal",
        "northwest territories",
    ),
    "ntaat": (
        "Northwest Territories Assessment Appeal Tribunal",
        "northwest territories",
    ),
    "ntipc": (
        "Northwest Territories Information and Privacy Commissioner",
        "northwest territories",
    ),
    "ntllb": ("Northwest Territories Liquor Licensing Board", "northwest territories"),
    "ntro": ("Rental Officer", "northwest territories"),
    "nuca": ("Court of Appeal of Nunavut", "nunavut"),
    "nucj": ("Nunavut Court of Justice", "nunavut"),
    "yjcn": ("Youth Justice Court of Nunavut", "nunavut"),
    "nuipc": ("Information and Privacy Commissioner", "nunavut"),
    "nula": ("Labour Arbitration Awards", "nunavut"),
    "nuls": ("Law Society of Nunavut", "nunavut"),
    "nuwcat": (
        "Northwest Territories and Nunavut Workers’ Compensation Appeals Tribunal",
        "nunavut",
    ),
    "nuhrt": ("Nunavut Human Rights Tribunal", "nunavut"),
    "nusec": ("Nunavut Registrar of Securities", "nunavut"),
}

COURT_HIERARCHY_CRIMINAL = {
    "scc": "federal appellate",
    "scc-l": "federal appellate",
    "bcca": "provincial appellate",
    "bcsc": "superior",
    "bcpc": "provincial",
    "abca": "provincial appellate",
    "abkb": "superior",
    "abqb": "superior",
    "abcj": "provincial",
    "abpc": "provincial",
    "skca": "provincial appellate",
    "skkb": "superior",
    "skqb": "superior",
    "skpc": "provincial",
    "mbca": "provincial appellate",
    "mbkb": "superior",
    "mbqb": "superior",
    "mbpc": "provincial",
    "onca": "provincial appellate",
    "onsc": "superior",
    "oncj": "provincial",
    "qcca": "provincial appellate",
    "qccs": "superior",
    "qccq": "provincial",
    "nbca": "provincial appellate",
    "nbkb": "superior",
    "nkqb": "superior",
    "nbpc": "provincial",
    "nsca": "provincial appellate",
    "nssc": "superior",
    "nspc": "provincial",
    "pescad": "provincial appellate",
    "pesctd": "superior",
    "pepc": "provincial",
    "nlca": "provincial appellate",
    "nlsc": "superior",
    "nltd": "superior",
    "nlpc": "provincial",
    "ykca": "provincial appellate",
    "yksc": "superior",
    "yktc": "provincial",
    "ntca": "provincial appellate",
    "ntsc": "superior",
    "nttc": "provincial",
    "nuca": "provincial appellate",
    "nucj": "provincial",
    "yjcn": "provincial",
}

PROVINCE_TERRITORY_ABBREVIATIONS = {
    "alberta": "ab",
    "british columbia": "bc",
    "manitoba": "mb",
    "new brunswick": "nb",
    "newfoundland and labrador": "nl",
    "nova scotia": "ns",
    "ontario": "on",
    "prince edward island": "pe",
    "québec": "qc",
    "saskatchewan": "sk",
    "yukon": "yt",
    "northwest territories": "nt",
    "nunavut": "nu",
}
